1999-05-27 Tom Tromey <tromey@cygnus.com>
+ * subobj3.test: New file.
+ * Makefile.am (TESTS): Added subobj3.test.
+ (XFAIL_TESTS): Likewise.
+
* ltlibobjs.test: New file.
* Makefile.am (TESTS): Added ltlibobjs.test.
(XFAIL_TESTS): Added ltlibobjs.test.
--- /dev/null
+#! /bin/sh
+
+# Test of subdir objects with C++.
+
+. $srcdir/defs || exit 1
+
+cat > configure.in << 'END'
+AC_INIT(sub/hello.c)
+AM_INIT_AUTOMAKE(hello,0.23)
+AC_PROG_CC
+AM_PROG_CC_C_O
+AM_C_PROTOTYPES
+AC_OUTPUT(Makefile)
+END
+
+cat > Makefile.am << 'END'
+AUTOMAKE_OPTIONS = subdir-objects
+bin_PROGRAMS = hello
+hello_SOURCES = sub/hello.c
+END
+
+mkdir sub
+cat > sub/hello.c << 'END'
+#include <stdio.h>
+int
+main (int argc, char *argv[])
+{
+ printf ("yeah, yeah\n");
+ return 0;
+}
+END
+
+# Fail gracefully if no autoconf.
+(autoconf --version) > /dev/null 2>&1 || exit 0
+
+# Likewise for gcc.
+(gcc -v) > /dev/null 2>&1 || exit 0
+
+# We use gcc and not gcc -traditional as the latter fails on some
+# Linux boxes (Red Hat 5.1 in particular).
+$ACLOCAL \
+ && autoconf \
+ && $AUTOMAKE -a \
+ && CC='gcc' ./configure \
+ && $MAKE ANSI2KNR=./ansi2knr U=_ \
+ && ./hello